<!-- This form is for reporting bugs and issues specific to the MyStyle plugin. This is not a support portal. If you need technical support from a human being, please submit a ticket via the helpdesk instead: https://www.mystyleplatform.com/support/ -->

<!-- Usage questions can also be directed to the public support forum here: https://www.mystyleplatform.com/forums/, unless this is a question about a premium extension in which case you should use the helpdesk. -->

<!-- If you have a feature request, submit it to: https://www.mystyleplatform.com/forums/forum/suggestions-ideas/ -->

<!-- If you are a developer who needs a new filter/hook raise a PR instead :) -->

<!-- Please be as descriptive as possible; issues lacking the below details, or for any other reason than to report a bug, may be closed without action. -->

## Prerequisites

<!-- MARK COMPLETED ITEMS WITH AN [x] -->

- [ ] I have searched for similar issues in both open and closed tickets and cannot find a duplicate
- [ ] The issue still exists against the latest `master` branch of MyStyle on Github.
- [ ] I have attempted to find the simplest possible steps to reproduce the issue
- [ ] I have included a failing test as a pull request (Optional)

## Steps to reproduce the issue

<!-- We need to be able to reproduce the bug in order to fix it so please be descriptive! -->

1.
2.
3.

## Expected/actual behavior

When I follow those steps, I see...

I was expecting to see...

## Isolating the problem

<!-- MARK COMPLETED ITEMS WITH AN [x] -->

- [ ] This bug happens with only MyStyle plugin active
- [ ] This bug happens with a default WordPress theme active, or [Storefront](https://woocommerce.com/storefront/)
- [ ] I can reproduce this bug consistently using the steps above

## WordPress Environment

<details>
```
Copy and paste the system status report from **WooCommerce > System Status** in WordPress admin here.
```
</details>
